### Method

# Meta Window get_client_machine

#### Declaration [src]

    const char*
    meta_window_get_client_machine (
      MetaWindow* window
    )

#### Description [src]

Returns name of the client machine from which this windows was created, if known (obtained from the WM_CLIENT_MACHINE property).

#### Return value

Type: `const char*`

The machine name, or `NULL`; the string is owned by the window manager and should not be freed or modified by the caller.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.